com.smartgwt.client.types

## Enum Overflow

- java.lang.Object
- - java.lang.Enum<Overflow>
  - - com.smartgwt.client.types.Overflow

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<Overflow>

      public enum Overflow
      extends java.lang.Enum<Overflow>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Horizontal and/or vertical scrollbars are displayed only if necessary.
    `CLIP_H` Clip horizontally but extend the canvas's clip region vertically if necessary.
    `CLIP_V` Clip vertically but extend the canvas's clip region horizontally if necessary.
    `HIDDEN` Content that extends beyond the widget's width or height is clipped (hidden).
    `SCROLL` Horizontal and vertical scrollbars are always drawn inside the widget.
    `VISIBLE` Content that extends beyond the widget's width or height is displayed.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static Overflow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Overflow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VISIBLE

          public static final Overflow VISIBLE

      Content that extends beyond the widget's width or height is displayed. Note: To have the content be sized only by the drawn size of the content set the overflow to be Canvas.VISIBLE and specify a small size, allowing the size to expand to the size required by the content. Leaving the width / height for the widget undefined will use the default value of 100, and setting the size to zero may cause the widget not to draw.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

    - #### HIDDEN

          public static final Overflow HIDDEN

      Content that extends beyond the widget's width or height is clipped (hidden).

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hidden".

    - #### AUTO

          public static final Overflow AUTO

      Horizontal and/or vertical scrollbars are displayed only if necessary. Content that extends beyond the remaining visible area is clipped.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

    - #### SCROLL

          public static final Overflow SCROLL

      Horizontal and vertical scrollbars are always drawn inside the widget. Content that extends beyond the remaining visible area is clipped, and can be accessed via scrolling.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "scroll".

    - #### CLIP_H

          public static final Overflow CLIP_H

      Clip horizontally but extend the canvas's clip region vertically if necessary.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clip_h".

    - #### CLIP_V

          public static final Overflow CLIP_V

      Clip vertically but extend the canvas's clip region horizontally if necessary.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "clip_v".

  - ### Method Detail

    - #### values

          public static Overflow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Overflow c : Overflow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Overflow valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`